Package ru.bitel.bgbilling.kernel.event.events

# Class CalculateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.event.common.LocalEvent
ru.bitel.bgbilling.kernel.event.events.CalculateEvent

All Implemented Interfaces:
  `Serializable`, `ErrorReturnableEvent`

public class CalculateEvent extends ru.bitel.bgbilling.kernel.event.common.LocalEvent
Событие - начисление.
Скриптовое событие об обсчете. Событие может генерироваться в модулях cerbercrypt, ipn, npay.
Унаследовано от `QueueEvent`.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `TYPE_AFTER`
  Тип события - после обсчета.
  `static final int`
  `TYPE_BEFORE`
  Тип события - до обсчета.
  `static final int`
  `TYPE_ERROR`
  Тип события - ошибка обсчета.

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `CalculateEvent()`
  Конструктор события.
  ``
  `CalculateEvent(int eventType, int moduleId, int userId, Date timeStart, Date timeStop, List<Integer> serviceIds, List<Integer> contractIds, String comment)`
  Конструктор события.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  Возвращает комментарий.
  `List<Integer>`
  `getContractIds()`
  Возвращает список кодов договоров.
  `int`
  `getEventType()`
  Возвращает тип события.
  `List<Integer>`
  `getServiceIds()`
  Возвращает список кодов услуг.
  `Date`
  `getStart()`
  Возвращает время начала периода обсчета.
  `Date`
  `getStop()`
  Возвращает время конца периода обсчета.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.LocalEvent

  `getError, setError`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### TYPE_BEFORE

    public static final int TYPE_BEFORE
    Тип события - до обсчета.
    See Also:
      - Constant Field Values

  - ### TYPE_AFTER

    public static final int TYPE_AFTER
    Тип события - после обсчета.
    See Also:
      - Constant Field Values

  - ### TYPE_ERROR

    public static final int TYPE_ERROR
    Тип события - ошибка обсчета.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### CalculateEvent

    protected CalculateEvent()
    Конструктор события.

  - ### CalculateEvent

    public CalculateEvent(int eventType, int moduleId, int userId, Date timeStart, Date timeStop, List<Integer> serviceIds, List<Integer> contractIds, String comment)
    Конструктор события.
    Parameters:
      `eventType` - - тип события
      `moduleId` - - код модуля
      `userId` - - id пользователя, сгенерировавшего событие
      `timeStart` - - время начала периода обсчета
      `timeStop` - - время окончания периода обсчета
      `serviceIds` - - список кодов услуг
      `contractIds` - - список кодов договоров
      `comment` - - комментарий

- ## Method Details

  - ### getContractIds

    public List<Integer> getContractIds()
    Возвращает список кодов договоров.
    Returns:
      contractIds - список кодов договоров

  - ### getServiceIds

    public List<Integer> getServiceIds()
    Возвращает список кодов услуг.
    Returns:
      serviceIds - список кодов услуг

  - ### getStart

    public Date getStart()
    Возвращает время начала периода обсчета.
    Returns:
      start - время начала периода

  - ### getStop

    public Date getStop()
    Возвращает время конца периода обсчета.
    Returns:
      stop - время конца периода

  - ### getEventType

    public int getEventType()
    Возвращает тип события.
    Returns:
      eventType - тип события

  - ### getComment

    public String getComment()
    Возвращает комментарий.
    Returns:
      comment - комментарий